Skip to main content
GET
/
api
/
v1
/
facts
Currently-valid facts, with optional bi-temporal time travel (mirrors the MCP get_facts tool)
curl --request GET \
  --url https://3ngram-server-production.up.railway.app/api/v1/facts \
  --header 'X-API-Key: <api-key>'
{
  "count": 4503599627370495,
  "facts": [
    {
      "confidence": 123,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "predicate": "<string>",
      "subject": "<string>",
      "validFrom": "2023-11-07T05:31:56Z",
      "validTo": "2023-11-07T05:31:56Z",
      "value": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

subject
string
Minimum string length: 1
predicate
string
Minimum string length: 1
limit
integer
default:50
Required range: 1 <= x <= 200
validAt
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
asKnownAt
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

200 - application/json

Success

count
integer
required
Required range: 0 <= x <= 9007199254740991
facts
object[]
required